phpCAS version 1.3.6

Modules | Functions | Variables
CAS Proxy features (CAS 2.0, Proxy Granting Tickets)
Implementation

## Modules
| PGT storage
| Callback from the CAS server
| Proxy other services

## Functions
| CAS_Client::isProxy ()
| CAS_Client::_getPGT ()
| CAS_Client::_setPGT ($pgt)
| CAS_Client::_hasPGT ()

## Variables
| CAS_Client::$_proxy
| CAS_Client::$_serviceCookieJar
| CAS_Client::$_pgt

## Detailed Description

## Function Documentation

## ◆ _getPGT()

CAS_Client::_getPGT | ( |  | ) |
| private

This method returns the Proxy Granting Ticket given by the CAS server.

Returns
  string the Proxy Granting Ticket.

Definition at line 2271 of file Client.php.

References CAS_Client\$_pgt.

Referenced by CAS_Client\isAuthenticated(), and CAS_Client\retrievePT().

## ◆ _hasPGT()

CAS_Client::_hasPGT | ( |  | ) |
| private

This method tells if a Proxy Granting Ticket was stored.

Returns
  true if a Proxy Granting Ticket has been stored.

Definition at line 2293 of file Client.php.

## ◆ _setPGT()

CAS_Client::_setPGT | ( |  | $pgt | ) |
| private

This method stores the Proxy Granting Ticket.

Parameters

  string | $pgt | The Proxy Granting Ticket.

Returns
  void

Definition at line 2283 of file Client.php.

Referenced by CAS_Client\_validatePGT(), and CAS_Client\_wasPreviouslyAuthenticated().

## ◆ isProxy()

CAS_Client::isProxy | ( |  | ) |

Tells if a CAS client is a CAS proxy or not

Returns
  true when the CAS client is a CAs proxy, false otherwise

Definition at line 2242 of file Client.php.

References CAS_Client\$_proxy.

Referenced by CAS_Client\__construct(), CAS_Client\_wasPreviouslyAuthenticated(), CAS_Client\ensureIsProxy(), CAS_Client\isAuthenticated(), and CAS_Client\validateCAS20().

## Variable Documentation

## ◆ $_pgt

CAS_Client::$_pgt
| private

the Proxy Grnting Ticket given by the CAS server (empty otherwise). Written by CAS_Client::_setPGT(), read by CAS_Client::_getPGT() and CAS_Client::_hasPGT().

Definition at line 2264 of file Client.php.

Referenced by CAS_Client\_getPGT().

## ◆ $_proxy

CAS_Client::$_proxy
| private

A boolean telling if the client is a CAS proxy or not. Written by CAS_Client::CAS_Client(), read by CAS_Client::isProxy().

Definition at line 2230 of file Client.php.

Referenced by CAS_Client\isProxy().

## ◆ $_serviceCookieJar

CAS_Client::$_serviceCookieJar
| private

Handler for managing service cookies.

Definition at line 2235 of file Client.php.